]> arthur.barton.de Git - netatalk.git/commitdiff
new rpm spec from Dan A. Dickey.
authordidg <didg>
Sat, 7 May 2005 05:37:53 +0000 (05:37 +0000)
committerdidg <didg>
Sat, 7 May 2005 05:37:53 +0000 (05:37 +0000)
bootstrap [new file with mode: 0755]
distrib/rpm/netatalk-fedora.spec [new file with mode: 0644]
doc/Makefile.am
include/atalk/Makefile.am

diff --git a/bootstrap b/bootstrap
new file mode 100755 (executable)
index 0000000..2d871d8
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -x
+
+rm -rf autom4te*.cache
+
+# build it all.
+aclocal -I macros $ACLOCAL_FLAGS || exit 1
+autoheader || exit 1
+libtoolize --force --copy
+automake --include-deps --add-missing --foreign --copy || exit 1
+autoconf || exit 1
+
+# Original configure call was:
+#./configure --enable-maintainer-mode "$@"
+# However, according to:
+#  http://sources.redhat.com/autobook/autobook/autobook_43.html#SEC43
+# we need to have AM_MAINTAINER_MODE in configure.in in order to use
+# this feature.  It's not there at the moment, so I'm changing the
+# configure call.
+# And sometimes I don't want this to run.
+[ -z "$NOEXECCONFIGURE" ] && ./configure "$@"
+
+# Let's not fall off the end...
+exit 0
diff --git a/distrib/rpm/netatalk-fedora.spec b/distrib/rpm/netatalk-fedora.spec
new file mode 100644 (file)
index 0000000..ca31a1b
--- /dev/null
@@ -0,0 +1,194 @@
+#################################################### VERSIONING INFORMATION
+%define name    netatalk
+%define version 2.0.2
+%define release 2
+
+################################################# BASIC PACKAGE INFORMATION
+Summary: Appletalk and Appleshare/IP services for Linux
+Name: %{name}
+Version: %{version}
+Release: %{release}
+Copyright: BSD
+Group: Networking/Daemons
+Source0: %{name}-%{version}.tar.gz
+URL: http://netatalk.sourceforge.net/
+Packager: dan dickey <dan.dickey@savvis.net>
+
+############################################################## REQUIREMENTS
+Requires: cracklib, openssl, tcp_wrappers, pam
+BuildRequires: openssl-devel
+
+Prefix:    %{_prefix}
+BuildRoot: /var/tmp/%{name}-buildroot
+
+%description
+netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
+systems. The current release contains support for Ethertalk Phase I and II,
+DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
+printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
+Ultrix 4. It also supports AFP 3, 2.2 and 2.1 (Appleshare IP).
+
+%package devel
+Group: Development/Networking
+Summary: Appletalk and Appleshare/IP services for Linux development files
+%description devel
+netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
+systems. The current release contains support for Ethertalk Phase I and II,
+DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
+printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
+Ultrix 4. It also supports AFP 3, 2.2 and 2.1 (Appleshare IP).
+
+This package is required for developing appletalk-based applications.
+
+%prep
+%setup -q -n %{name}-%{version}/
+
+%build
+CFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer -fsigned-char" ./configure \
+       --prefix=%{prefix} \
+       --libexec=%{prefix}/libexec/netatalk \
+       --with-config-dir=/etc/atalk \
+       --with-pkgconfdir=/etc/atalk \
+       --with-uams-path=/etc/atalk/uams \
+       --with-message-dir=/etc/atalk/msg \
+       --enable-lastdid \
+       --enable-redhat \
+       --with-cracklib \
+       --with-pam \
+       --with-shadow \
+       --with-tcp-wrappers \
+       --with-ssl \
+       --enable-pgp-uam \
+       --enable-a2boot
+make all
+
+%install
+### INSTALL (USING "make install") ###
+mkdir -p $RPM_BUILD_ROOT{%{prefix},/etc/atalk/{uams,msg}}
+make DESTDIR=$RPM_BUILD_ROOT install-strip
+
+%post
+### RUN CHKCONFIG ###
+/sbin/chkconfig --add atalk
+/sbin/ldconfig
+# after the first install only
+if [ "$1" = 1 ]; then
+       # add the ddp lines to /etc/services
+       if (grep '[0-9][0-9]*/ddp' /etc/services >/dev/null); then
+               cat <<'_EOD1_' >&2
+warning: The DDP services appear to be present in /etc/services.
+warning: Please check them against services.atalk in the documentation.
+_EOD1_
+               true
+       else
+               cat <<'_EOD2_' >>/etc/services
+# start of DDP services
+#
+# Everything between the 'start of DDP services' and 'end of DDP services'
+# lines will be automatically deleted when the netatalk package is removed.
+#
+rtmp           1/ddp           # Routing Table Maintenance Protocol
+nbp            2/ddp           # Name Binding Protocol
+echo           4/ddp           # AppleTalk Echo Protocol
+zip            6/ddp           # Zone Information Protocol
+
+afpovertcp     548/tcp         # AFP over TCP
+afpovertcp     548/udp
+# end of DDP services
+_EOD2_
+       fi
+fi
+
+%preun
+### RUN CHKCONFIG ###
+/sbin/chkconfig --del atalk
+
+%postun
+# do only for the last un-install
+if [ "$1" = 0 ]; then
+       # remove the ddp lines from /etc/services
+       if (grep '^# start of DDP services$' /etc/services >/dev/null && \
+           grep '^# end of DDP services$'   /etc/services >/dev/null ); then
+         sed -e '/^# start of DDP services$/,/^# end of DDP services$/d' \
+           </etc/services >/tmp/services.tmp$$
+         cat /tmp/services.tmp$$ >/etc/services
+         rm /tmp/services.tmp$$
+       else
+         cat <<'_EOD3_' >&2
+warning: Unable to find the lines `# start of DDP services` and
+warning: `# end of DDP services` in the file /etc/services.
+warning: You should remove the DDP services from /etc/services manually.
+_EOD3_
+       fi
+fi
+
+%clean
+[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
+
+%files
+%defattr(-,root,root)
+%doc doc/[A-L,N-Z]*
+%config /etc/atalk/Apple*
+%config /etc/atalk/*.conf
+%config /etc/pam.d/netatalk
+%dir /etc/atalk
+%dir /etc/atalk/msg
+%dir /etc/atalk/uams
+/etc/atalk/uams/*.so
+/etc/rc.d/init.d/atalk
+%{prefix}/bin/*
+%{prefix}/sbin/*
+%{prefix}/libexec/*
+%{prefix}/man/man*/*.gz
+%{prefix}/share/netatalk/pagecount.ps
+
+%files devel
+%defattr(-,root,root)
+%{prefix}/lib/*.a
+%{prefix}/lib/*.la
+/etc/atalk/uams/*.a
+/etc/atalk/uams/*.la
+%dir %{prefix}/include/atalk
+%{prefix}/include/atalk/*.h
+%dir %{prefix}/include/netatalk
+%{prefix}/include/netatalk/*.h
+%{prefix}/share/aclocal/netatalk.m4
+
+%changelog
+
+* Thu Apr 28 2005 Dan A. Dickey <dan.dickey@savvis.net>
+  - Modify redhat spec file for Fedora Core.
+
+* Sat Jan 04 2002 Steven N. Hirsch <shirsch@adelphia.net>
+  - Fix RedHat RPM build.
+  - Build Apple2 boot support.
+
+* Thu Apr 12 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
+  - v1.5pre6-1
+  - pre-release 6 for sourceforge
+
+* Wed Mar 07 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
+  - v1.5pre5-1
+  - pre-release 5 for sourceforge
+
+* Fri Feb 23 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
+  - v1.5pre5-0
+  - pre-release 5 for sourceforge (prebuild)
+
+* Tue Feb 20 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
+  - v1.5pre4-1
+  - pre-release 4 for sourceforge
+  - modified/split mandrake spec for redhat 7 build
+
+* Mon Dec 18 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
+  - v1.5pre3-1mdk
+  - pre-release 3 for sourceforge
+  - moved away from 1.4.99 ... 
+
+* Wed Nov 08 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
+  - v1.4.99-0.20001108mdk
+  - pre-release 2 for sourceforge
+
+* Wed Sep 27 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
+  - v1.4.99-0.20000927mdk
+  - pre-release 1 for sourceforge
index 2be695060b1ba9a5efbc590adc743c4665dfdc66..be2e1c60d5ef3e23ec4067d5f4db980bfcef9ea7 100644 (file)
@@ -1,10 +1,10 @@
 # Makefile.am for INSTALL/
 
 EXTRA_DIST = \
-       CONFIGURE               \
-       DEVELOPER               \
-       INSTALL                 \
-       FAQ                     \
-       README.hidden-items     \
-       README.platforms        \
-       README.veto
+       DEVELOPER \
+       FAQ \
+       README.documentation \
+       README.hidden-items \
+       README.ids \
+       README.logger \
+       README.platforms
index 71f170505cdbd2cf64fc12a0ab041be08dea6424..7fa433b8053ab2215d9b0ac445dd2b804d4b1073 100644 (file)
@@ -1,8 +1,11 @@
 # Makefile.am for include/atalk/
 
 atalkincludedir = $(includedir)/atalk
-atalkinclude_HEADERS = adouble.h aep.h afp.h asp.h atp.h boolean.h compat.h ddp.h dsi.h \
-                       logger.h nbp.h netddp.h pap.h paths.h rtmp.h server_child.h uam.h util.h \
-                       zip.h list.h cnid.h tdb.h unicode.h
+atalkinclude_HEADERS = \
+       adouble.h aep.h afp.h asp.h atp.h boolean.h \
+       cnid.h compat.h ddp.h dsi.h list.h logger.h \
+       nbp.h netddp.h pap.h paths.h rtmp.h server_child.h \
+       server_ipc.h tdb.h uam.h unicode.h util.h volinfo.h \
+       zip.h
      
 noinst_HEADERS = cnid_dbd_private.h